サポート » テーマ » wp_headの中身を修正したい

  • 解決済 takaraism

    (@takaraism)


    WP 4.8から最新版にバージョンアップしてもらいたいという依頼を受け、5.8までバージョンアップ。現在チェックを行っています。
    気になってるのが、このサイトのwp_headで呼び出しているリンクの中で

    <link rel=’stylesheet’ id=’gsc_style_search_bar-css’ href=’http://www.google.com/cse/style/look/minimalist.css?ver=5.8.2&#8242; type=’text/css’ media=’all’ />

    <script type=’text/javascript’ src=’http://www.google.com/jsapi?ver=5.8.2&#8242; id=’gsc_jsapi-js’></script>

    という2行です。

    前者はすでにリンク先がなくなっており、
    後者はSSLが掛かっている模様です。

    前者については削除(もしくは同様のファイルが別の所にあるなら差し替え)、
    後者はリンク変更をしたいのですがどのようにしたらよろしいでしょうか。

    wp_headの修正を調べるとfunctions.phpでやることは分かるのですが、
    入らないコードをremoveする方法のみで、指定の箇所だけにアクションを起こす方法がよく分かりません。
    特に後者はリンク先を変更するという内容になるので、本体のどこかにこのコードが書いてる気がするのですが・・・
    この対応方法をご存じの方は教えて頂けないでしょうか。
    よろしくお願いいたします。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • ishitaka

    (@ishitaka)

    こんにちは

    Google Custom Search プラグインにより出力されているようです。
    とても古い(7年以上前)プラグインで、既に公開が停止(ガイドライン違反)されているので、プラグインを停止するか、別の同様の機能を有するプラグイン(私は知りませんが)へ移行されたほうがいいかと思います。

    トピック投稿者 takaraism

    (@takaraism)

    >ishitaka様

    いつも的確なアドバイスを頂きありがとうございます。
    Google Custom Search 、確かに入っておりました。
    こちらのアドバイスを踏まえて対応させていただきます。
    ありがとうございました。

    • この返信は12ヶ月前にtakaraismが編集しました。
2件の返信を表示中 - 1 - 2件目 (全2件中)
  • トピック「wp_headの中身を修正したい」には新たに返信することはできません。